CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Outputter Class Reference
Writing test result

Abstract outputter to print test result summary. More...

`#include <Outputter.h>`

Inheritance diagram for Outputter:
[legend]

List of all members.

## Public Member Functions
virtual | ~Outputter ()
| Destructor.
virtual void | write ()=0

## Detailed Description

Abstract outputter to print test result summary.

## Constructor & Destructor Documentation

virtual Outputter::~Outputter | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual void Outputter::write | ( |  | ) | `[pure virtual]`

Implemented in CompilerOutputter, TextOutputter, and XmlOutputter.

The documentation for this class was generated from the following file:

- Outputter.h

| hosts this site. |  | Send comments to: CppUnit Developers